package nz.co.sisu.jco;

import org.apache.log4j.Logger;

import com.sap.mw.jco.JCO.Server;
import com.sap.mw.jco.JCO.ServerErrorListener;

public class JCoLoggingServerErrorListener implements ServerErrorListener {

	private static final Logger LOG = Logger
			.getLogger(JCoLoggingServerErrorListener.class);

	public void serverErrorOccurred(Server server, Error err) {
		StringBuffer b = new StringBuffer();
		b.append("Server Error Occurred").append(JCoLoggingUtil.toString(server));
		LOG.error(b.toString(), err);
	}

}
