package nz.co.sisu.jco;

import org.apache.log4j.Logger;

import com.sap.mw.jco.JCO.Server;
import com.sap.mw.jco.JCO.ServerExceptionListener;

public class JCoLoggingServerExceptionListener implements
		ServerExceptionListener {

	private static final Logger LOG = Logger.getLogger(JCoLoggingServerExceptionListener.class);
	
	public void serverExceptionOccurred(Server server, Exception ex) {
		StringBuffer b = new StringBuffer();
		b.append("Server Exception Occurred").append(JCoLoggingUtil.toString(server));
		LOG.error(b.toString(), ex);
	}

}
