package nz.co.sisu.jco;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

import com.sap.mw.jco.JCO.TraceListener;

public class JCoLoggingTraceListener implements TraceListener {

	private static final Logger LOG = Logger
			.getLogger(JCoLoggingTraceListener.class);

	public void trace(int level, String msg) {
		LOG.log(toLevel(level), msg);
	}

	private Level toLevel(int level) {
		Level result = Level.DEBUG;
		if (level < 3) {
			result = Level.ERROR;
		} else if (level < 5) {
			result = Level.INFO;
		}
		return result;
	}
}
