package nz.co.sisu.jco;

import org.apache.log4j.Logger;

import com.sap.mw.jco.JCO.Server;
import com.sap.mw.jco.JCO.ServerStateChangedListener;

public class JCoLoggingServerStateChangedListener implements
		ServerStateChangedListener {

	private static final Logger LOG = Logger
			.getLogger(JCoLoggingServerStateChangedListener.class);

	public void serverStateChangeOccurred(Server server, int oldState,
			int newState) {
		StringBuffer b = new StringBuffer();
		b.append("Server state changed ");
		b.append("{").append(JCoLoggingUtil.toString(server)).append("} ");
		b.append("old:").append(toStateString(oldState));
		b.append(", new:").append(toStateString(newState));
		LOG.info(b.toString());
	}

	private String toStateString(int state) {
		return Integer.toString(state);
	}

}
